package com.ruoyi.project.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.mapper.TrsPersonResultMapper;
import com.ruoyi.project.domain.TrsPersonResult;
import com.ruoyi.project.service.ITrsPersonResultService;
import com.ruoyi.common.core.text.Convert;

/**
 * 个人信息隐私检测Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-04-02
 */
@Service
public class TrsPersonResultServiceImpl implements ITrsPersonResultService 
{
    @Autowired
    private TrsPersonResultMapper trsPersonResultMapper;

    /**
     * 查询个人信息隐私检测
     * 
     * @param id 个人信息隐私检测主键
     * @return 个人信息隐私检测
     */
    @Override
    public TrsPersonResult selectTrsPersonResultById(Long id)
    {
        return trsPersonResultMapper.selectTrsPersonResultById(id);
    }

    /**
     * 查询个人信息隐私检测列表
     * 
     * @param trsPersonResult 个人信息隐私检测
     * @return 个人信息隐私检测
     */
    @Override
    public List<TrsPersonResult> selectTrsPersonResultList(TrsPersonResult trsPersonResult)
    {
        return trsPersonResultMapper.selectTrsPersonResultList(trsPersonResult);
    }

    /**
     * 新增个人信息隐私检测
     * 
     * @param trsPersonResult 个人信息隐私检测
     * @return 结果
     */
    @Override
    public int insertTrsPersonResult(TrsPersonResult trsPersonResult)
    {
        return trsPersonResultMapper.insertTrsPersonResult(trsPersonResult);
    }

    /**
     * 修改个人信息隐私检测
     * 
     * @param trsPersonResult 个人信息隐私检测
     * @return 结果
     */
    @Override
    public int updateTrsPersonResult(TrsPersonResult trsPersonResult)
    {
        return trsPersonResultMapper.updateTrsPersonResult(trsPersonResult);
    }

    /**
     * 批量删除个人信息隐私检测
     * 
     * @param ids 需要删除的个人信息隐私检测主键
     * @return 结果
     */
    @Override
    public int deleteTrsPersonResultByIds(String ids)
    {
        return trsPersonResultMapper.deleteTrsPersonResultByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除个人信息隐私检测信息
     * 
     * @param id 个人信息隐私检测主键
     * @return 结果
     */
    @Override
    public int deleteTrsPersonResultById(Long id)
    {
        return trsPersonResultMapper.deleteTrsPersonResultById(id);
    }
}
